# cabal2spec falsely detects this as a binlib package because of tests

%global pkg_name dataenc

%global common_summary Haskell encoding library

%global common_description Data encoding library currently providing Base16, Base32, Base32Hex, Base64,\
Base64Url, Base85, Python string escaping, Quoted-Printable, URL encoding,\
uuencode, xxencode, and yEncoding.

Name:           ghc-%{pkg_name}
Version:        0.13.0.5
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour

%description
%{common_description}


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%changelog
* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 0.13.0.5-1
- update to 0.13.0.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Jens Petersen <petersen@redhat.com> - 0.13.0.4-3
- update to cabal2spec-0.22.4

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.13.0.4-2
- update url

* Mon Nov  1 2010 Jens Petersen <petersen@redhat.com> - 0.13.0.4-1
- update to 0.13.0.4

* Thu Aug 19 2010 Jens Petersen <petersen@redhat.com> - 0.13.0.3-1
- update to 0.13.0.3
- build with hscolour and ghc-rpm-macros-0.8.1

* Sat Jun 26 2010 Jens Petersen <petersen@redhat.com> - 0.13.0.2-3
- sync cabal2spec-0.22

* Sat Apr 24 2010 Jens Petersen <petersen@redhat.com> - 0.13.0.2-2
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Sat Jan 23 2010 Jens Petersen <petersen@redhat.com> - 0.13.0.2-1
- BSD license
- summary and description from hackage

* Sat Jan 23 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.13.0.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.21.1
